scala

# Tuple18

#### case class Tuple18[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9, +T10, +T11, +T12, +T13, +T14, +T15, +T16, +T17, +T18](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18) extends Product18[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18] with Product with Serializable

A tuple of 18 elements; the canonical representation of a Product18.

_1

  Element 1 of this Tuple18

_2

  Element 2 of this Tuple18

_3

  Element 3 of this Tuple18

_4

  Element 4 of this Tuple18

_5

  Element 5 of this Tuple18

_6

  Element 6 of this Tuple18

_7

  Element 7 of this Tuple18

_8

  Element 8 of this Tuple18

_9

  Element 9 of this Tuple18

_10

  Element 10 of this Tuple18

_11

  Element 11 of this Tuple18

_12

  Element 12 of this Tuple18

_13

  Element 13 of this Tuple18

_14

  Element 14 of this Tuple18

_15

  Element 15 of this Tuple18

_16

  Element 16 of this Tuple18

_17

  Element 17 of this Tuple18

_18

  Element 18 of this Tuple18

Source
  Tuple18.scala

Linear Supertypes
Serializable, Serializable, Product18[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18], Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Tuple18
2. Serializable
3. Serializable
4. Product18
5. Product
6. Equals
7. AnyRef
8. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple18(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9, _10: T10, _11: T11, _12: T12, _13: T13, _14: T14, _15: T15, _16: T16, _17: T17, _18: T18)

   Create a new tuple with 18 elements.

   Create a new tuple with 18 elements. Note that it is more idiomatic to create a Tuple18 via `(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, t14, t15, t16, t17, t18)`

   _1

     Element 1 of this Tuple18

   _2

     Element 2 of this Tuple18

   _3

     Element 3 of this Tuple18

   _4

     Element 4 of this Tuple18

   _5

     Element 5 of this Tuple18

   _6

     Element 6 of this Tuple18

   _7

     Element 7 of this Tuple18

   _8

     Element 8 of this Tuple18

   _9

     Element 9 of this Tuple18

   _10

     Element 10 of this Tuple18

   _11

     Element 11 of this Tuple18

   _12

     Element 12 of this Tuple18

   _13

     Element 13 of this Tuple18

   _14

     Element 14 of this Tuple18

   _15

     Element 15 of this Tuple18

   _16

     Element 16 of this Tuple18

   _17

     Element 17 of this Tuple18

   _18

     Element 18 of this Tuple18

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val _1: T1

   Element 1 of this Tuple18

   Element 1 of this Tuple18

   Definition Classes
     Tuple18 → Product18

7. #### val _10: T10

   Element 10 of this Tuple18

   Element 10 of this Tuple18

   Definition Classes
     Tuple18 → Product18

8. #### val _11: T11

   Element 11 of this Tuple18

   Element 11 of this Tuple18

   Definition Classes
     Tuple18 → Product18

9. #### val _12: T12

   Element 12 of this Tuple18

   Element 12 of this Tuple18

   Definition Classes
     Tuple18 → Product18

10. #### val _13: T13

    Element 13 of this Tuple18

    Element 13 of this Tuple18

    Definition Classes
      Tuple18 → Product18

11. #### val _14: T14

    Element 14 of this Tuple18

    Element 14 of this Tuple18

    Definition Classes
      Tuple18 → Product18

12. #### val _15: T15

    Element 15 of this Tuple18

    Element 15 of this Tuple18

    Definition Classes
      Tuple18 → Product18

13. #### val _16: T16

    Element 16 of this Tuple18

    Element 16 of this Tuple18

    Definition Classes
      Tuple18 → Product18

14. #### val _17: T17

    Element 17 of this Tuple18

    Element 17 of this Tuple18

    Definition Classes
      Tuple18 → Product18

15. #### val _18: T18

    Element 18 of this Tuple18

    Element 18 of this Tuple18

    Definition Classes
      Tuple18 → Product18

16. #### val _2: T2

    Element 2 of this Tuple18

    Element 2 of this Tuple18

    Definition Classes
      Tuple18 → Product18

17. #### val _3: T3

    Element 3 of this Tuple18

    Element 3 of this Tuple18

    Definition Classes
      Tuple18 → Product18

18. #### val _4: T4

    Element 4 of this Tuple18

    Element 4 of this Tuple18

    Definition Classes
      Tuple18 → Product18

19. #### val _5: T5

    Element 5 of this Tuple18

    Element 5 of this Tuple18

    Definition Classes
      Tuple18 → Product18

20. #### val _6: T6

    Element 6 of this Tuple18

    Element 6 of this Tuple18

    Definition Classes
      Tuple18 → Product18

21. #### val _7: T7

    Element 7 of this Tuple18

    Element 7 of this Tuple18

    Definition Classes
      Tuple18 → Product18

22. #### val _8: T8

    Element 8 of this Tuple18

    Element 8 of this Tuple18

    Definition Classes
      Tuple18 → Product18

23. #### val _9: T9

    Element 9 of this Tuple18

    Element 9 of this Tuple18

    Definition Classes
      Tuple18 → Product18

24. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

25. #### def canEqual(arg0: Any): Boolean

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

    A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

    returns

      true if this instance can possibly equal `that`, otherwise false

    Definition Classes
      Tuple18 → Equals

26. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

27. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

28. #### def equals(arg0: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Tuple18 → Equals → AnyRef → Any

29. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

30. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

31. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Tuple18 → AnyRef → Any

32. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

33. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

34. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

35. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

36. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      18

    Definition Classes
      Product18 → Product

37. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(1)` is the same as `._1`.

    Definition Classes
      Product18 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

38. #### def productIterator: Iterator[Any]

    An iterator over all the elements of this product.

    An iterator over all the elements of this product.

    returns

      in the default implementation, an Iterator[Any]

    Definition Classes
      Product

39. #### def productPrefix: String

    A string used in the `toString` methods of derived classes.

    A string used in the `toString` methods of derived classes. Implementations may override this method to prepend a string prefix to the result of toString methods.

    returns

      in the default implementation, the empty string

    Definition Classes
      Tuple18 → Product

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Tuple18 → AnyRef → Any

42. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

43. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

44. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Deprecated Value Members

1. #### def productElements: Iterator[Any]

   Definition Classes
     Product
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use productIterator instead

### Inherited from Serializable

### Inherited from Product18[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any